Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  AutoCAD Architecture ACA (ADT)
  Layerbezeichnung Voreinstellung

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Layerbezeichnung Voreinstellung (290 mal gelesen)
Balou_2002
Mitglied
Fachbauzeichner & SiGeKo & IT-Kaufmann


Sehen Sie sich das Profil von Balou_2002 an!   Senden Sie eine Private Message an Balou_2002  Schreiben Sie einen Gästebucheintrag für Balou_2002

Beiträge: 194
Registriert: 09.03.2005

ACA 2014 64 Bit
3ds Max 2012
StadtCad 8
Windows 7 64 Bit

erstellt am: 15. Mrz. 2012 16:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich hoffe jemand kann mir einen Tipp geben:

Wir möchten unsere Layer für eine Bürovorlage umbenennen. In ACA fangen ja alle Layer voreingestellt mit "A_" an (entsprechend dem Layer-Schlüsselstil)

Gibt es eine Möglichkeit das Präfix "A_" in einem Ritt für alle z.B. in "XY_" umzubenennen oder muss man jeden Layer einzeln Anfassen?

Über Hilfestellungen würde ich mich sehr freuen.

MfG Marco

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dig15
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. für Markscheidewesen und Geodäsie



Sehen Sie sich das Profil von Dig15 an!   Senden Sie eine Private Message an Dig15  Schreiben Sie einen Gästebucheintrag für Dig15

Beiträge: 5829
Registriert: 27.02.2003

erstellt am: 15. Mrz. 2012 16:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Balou_2002 10 Unities + Antwort hilfreich

Suche hier im Forum mal nach +Layer +umbenennen. da kommen einige Treffer. Unter anderem auch der Befehl laytrans.

------------------
Viele Grüße Lutz

Glück Auf!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Ehrenmitglied V.I.P. h.c.
Maschinenbaukonstrukteur



Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

ACAD

erstellt am: 15. Mrz. 2012 16:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Balou_2002 10 Unities + Antwort hilfreich

(defun C:LAYRENAME(/ L N)
  (vl-load-com)
  (vlax-for L (vla-get-layers(vla-get-activedocument(vlax-get-acad-object)))
    (if (wcmatch (strcase(setq N(vla-get-name L)))"A_*")
      (vl-catch-all-apply 'vla-put-name (list L (strcat "XY_" (substr N 3))))
    )
  )

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Balou_2002
Mitglied
Fachbauzeichner & SiGeKo & IT-Kaufmann


Sehen Sie sich das Profil von Balou_2002 an!   Senden Sie eine Private Message an Balou_2002  Schreiben Sie einen Gästebucheintrag für Balou_2002

Beiträge: 194
Registriert: 09.03.2005

ACA 2014 64 Bit
3ds Max 2012
StadtCad 8
Windows 7 64 Bit

erstellt am: 15. Mrz. 2012 17:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke für Euche Antworten,

innerhalb einer Zeichnung ist mir der Umgang bekannt... laytrans oder Laykonv also auch.

Ich meinte den generellen Layerschlüsselstil: ACA...>Format>Zeichnung einrichten>Layer Schlüsselstil > z.B. Autocad Architecture o.ä.

Über den Layermanager oder auch Stilmanager kann man den Schlüsselstil aufrufen. Dort erscheinen dann die ZUordnungen zu den Layern.

Hier soll vom Prinzip die Umbenennung ansetzen, um sie für alle Zeichnungen zu haben.

Oder sehe ich die Thematik insgesamt falsch?

Gruß MArco

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Ehrenmitglied V.I.P. h.c.
CAD on demand GmbH



Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4136
Registriert: 17.05.2001

ACAD

erstellt am: 15. Mrz. 2012 17:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Balou_2002 10 Unities + Antwort hilfreich

 
Zitat:
Original erstellt von Balou_2002:
Oder sehe ich die Thematik insgesamt falsch?

Ja!
Du musst in die Stil-Verwaltung, und dann den LayerSchlüsselStil entsprechend anpassen.

Wenn du dazu Fragen hast, dann frag mal im ACA-Brett

Grüße!
Holger

[rredit] link repariert und thread verschoben, nacktes ACAD kennt keine Layerschlüsselstile, daher geht es drüben weiter. [/rredit]

------------------
Holger Brischke
CAD on demand GmbH
Individuelle Lösungen von Heute auf Morgen.

   
defun-tools Das Download-Portal für AutoCAD-Zusatzprogramme!

   

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz